package xn.hxp.room.dao;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.OnConflictStrategy;
import androidx.room.Query;
import androidx.room.Update;

import xn.hxp.room.bean.DeviceInfo;
import xn.hxp.room.bean.LabInfo;

@Dao
public interface LabInfoDao {
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insert(LabInfo labInfo);

    @Query("SELECT * FROM labinfo")
    LabInfo getLabInfo();

    @Update
    void update(LabInfo labInfo);

    @Delete
    void delete(LabInfo labInfo);

    @Query("DELETE FROM labinfo")
    void deleteAll();
}
